The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> bzero - memory operations (LEGACY)

#### SYNOPSIS

> ``[XSI] #include <strings.h>
> void bzero(void *`s`, size_t` n`);``
> `
> `

#### DESCRIPTION

> The bzero() function shall place n zero-valued bytes in the area pointed to by s.

#### RETURN VALUE

> The bzero() function shall not return a value.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> The memset() function is preferred over this function.

> For maximum portability, it is recommended to replace the function call to bzero() as follows:

>     #define bzero(b,len) (memset((b), '\0', (len)), (void) 0)

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> This function may be withdrawn in a future version.

#### SEE ALSO

> memset(), the Base Definitions volume of IEEE Std 1003.1-2001, <strings.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

#### Issue 6

> This function is marked LEGACY.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]